"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _helpers = require("../helpers");

require("./ball.css");

const Ball = ({
  className,
  color = '#ED4585',
  size = 200,
  speed = 1,
  style
}) => {
  const scale = size / 200;
  const translate = size * scale;
  return _react.default.createElement("div", {
    className: (0, _helpers.clsx)('rl-ball', className),
    style: {
      '--rl-ball-size': `${size}px`,
      '--rl-ball-color': color,
      '--rl-ball-scale': scale,
      '--rl-ball-translate': `${translate}px`,
      '--rl-ball-speed': `${speed}s`,
      ...style
    }
  }, _react.default.createElement("div", null));
};

process.env.NODE_ENV !== "production" ? Ball.propTypes = {
  className: _propTypes.default.string,
  color: _propTypes.default.string,
  size: _propTypes.default.number,
  style: _propTypes.default.object
} : void 0;
var _default = Ball;
exports.default = _default;