"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _helpers = require("../helpers");

require("./eclipse.css");

const Eclipse = ({
  className,
  color = '#ED4585',
  size = 200,
  speed = 1,
  width = 2,
  style
}) => {
  const scale = size / 200;
  const translate = size * scale;
  const thickness = width * 2;
  return _react.default.createElement("div", {
    className: (0, _helpers.clsx)('rl-eclipse', className),
    style: {
      '--rl-eclipse-size': `${size}px`,
      '--rl-eclipse-color': color,
      '--rl-eclipse-scale': scale,
      '--rl-eclipse-translate': `${translate}px`,
      '--rl-eclipse-speed': `${speed}s`,
      '--rl-eclipse-thickness': `${thickness}px`,
      ...style
    }
  }, _react.default.createElement("div", null));
};

process.env.NODE_ENV !== "production" ? Eclipse.propTypes = {
  className: _propTypes.default.string,
  color: _propTypes.default.string,
  size: _propTypes.default.number,
  width: _propTypes.default.number,
  style: _propTypes.default.object
} : void 0;
var _default = Eclipse;
exports.default = _default;