"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _helpers = require("../helpers");

require("./rolling.css");

const Rolling = ({
  className,
  color = '#ED4585',
  size = 200,
  speed = 1,
  width = 10,
  style
}) => {
  const scale = size / 200;
  const translate = size * scale;
  const border = width * 2;
  return _react.default.createElement("div", {
    className: (0, _helpers.clsx)('rl-rolling', className),
    style: {
      '--rl-rolling-size': `${size}px`,
      '--rl-rolling-color': color,
      '--rl-rolling-scale': scale,
      '--rl-rolling-translate': `${translate}px`,
      '--rl-rolling-speed': `${speed}s`,
      '--rl-rolling-border': `${border}px`,
      ...style
    }
  }, _react.default.createElement("div", null));
};

process.env.NODE_ENV !== "production" ? Rolling.propTypes = {
  className: _propTypes.default.string,
  color: _propTypes.default.string,
  size: _propTypes.default.number,
  width: _propTypes.default.number,
  style: _propTypes.default.object
} : void 0;
var _default = Rolling;
exports.default = _default;