"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _helpers = require("../helpers");

require("./spinner.css");

const Spinner = ({
  className,
  color = '#ED4585',
  size = 200,
  speed = 1,
  style
}) => {
  const scale = size / 200;
  const translate = size * scale;
  return _react.default.createElement("div", {
    className: (0, _helpers.clsx)('rl-spinner', className),
    style: {
      '--rl-spinner-size': `${size}px`,
      '--rl-spinner-color': color,
      '--rl-spinner-scale': scale,
      '--rl-spinner-translate': `${translate}px`,
      '--rl-spinner-speed': `${speed}s`,
      ...style
    }
  }, _react.default.createElement("div", null), _react.default.createElement("div", null), _react.default.createElement("div", null), _react.default.createElement("div", null), _react.default.createElement("div", null), _react.default.createElement("div", null), _react.default.createElement("div", null), _react.default.createElement("div", null), _react.default.createElement("div", null), _react.default.createElement("div", null), _react.default.createElement("div", null), _react.default.createElement("div", null));
};

process.env.NODE_ENV !== "production" ? Spinner.propTypes = {
  className: _propTypes.default.string,
  color: _propTypes.default.string,
  size: _propTypes.default.number,
  width: _propTypes.default.number,
  style: _propTypes.default.object
} : void 0;
var _default = Spinner;
exports.default = _default;